# class Gem::FilePermissionError

Signals that a file permission error is preventing the user from operating on the given directory.

### Attributes

directory [R]

### Public Class Methods

new (directory)
Source

    # File lib/rubygems/exceptions.rb, line 92
    def initialize(directory)
      @directory = directory

      super "You don't have write permissions for the #{directory} directory."
    end

Calls superclass method `Exception::new`